Deployments.ai Docs
Observability

Render the spans in an execution trace

GET /v1/observability/traces/{traceId}/spans · SDK listObservabilityTraceSpans · CLI deployments trace spans

GET
/v1/observability/traces/{traceId}/spans

Requires observability:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

traceId*string
Length1 <= length <= 160

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ObservabilitySpanListResponse

application/json
  1. response
items*array<>
nextCursor?string|null
curl -X GET "https://example.com/v1/observability/traces/string/spans" \  -H "x-deployments-organization: string"
{  "items": [    {      "actual_model_id": "string",      "actual_provider": "string",      "attempt_id": "string",      "cached_tokens": 0,      "cost_usd_micros": 0,      "duration_ms": 0,      "error_class": "string",      "fact_id": "string",      "fallback_attempt": 0,      "fallback_reason": "string",      "input_tokens": 0,      "invocation_kind": "string",      "kind": "string",      "model_call_index": 0,      "name": "string",      "occurred_at": "2019-08-24T14:15:22Z",      "output_tokens": 0,      "parent_span_id": "string",      "provider_request_id": "string",      "requested_model_id": "string",      "requested_provider": "string",      "run_id": "string",      "session_id": "string",      "span_id": "string",      "status": "string",      "stop_reason": "string",      "total_tokens": 0,      "trace_id": "string"    }  ],  "nextCursor": "string"}